ssh-pageant(1)

NAME
ssh-pageant - authentication agent

SYNOPSIS
ssh-pageant [-c | -s | -S shell] [-a socket] [command [arg ...]]
ssh-pageant [-c | -s | -S shell] -k

DESCRIPTION
ssh-pageant is an SSH authentication agent for Cygwin that links OpenSSH to PuTTY's Pageant. It acts very much like ssh-agent, except it leaves the key storage to a separately-invoked Pageant instance.

INVOCATION
A UNIX-domain socket is first created which proxies authentication requests to Pageant. If a command is supplied, this is executed with any additional arguments given and with environment variables set to use the new socket. Otherwise, ssh-pageant runs in the background and prints shell commands intended to set the same environment variables for the calling shell.

If invoked with -k, ssh-pageant will instead kill its previous instance and print shell commands to unset the environment variables.

OPTIONS
The standard GNU option formats are accepted, with single dashes introducing short options and double dashes introducing long options, e.g. -o arg, --option arg, and --option=arg. Options marked with (*) are meant to be equivalent to the same option in ssh-agent.

-h, --help
    Display a summary of options and exit.

-v, --version
    Display version and copyright information and exit.

-c  Use C-style shell commands (default for csh-like SHELL). (*)

-s  Use Bourne-style shell commands (default for other SHELL). (*)

-S shell
    Use the specified shell style for commands, overriding the automatic SHELL detection. The currently recognized values are "csh", "fish", and "bourne" or "sh".

-k  Kill the current ssh-pageant process. (*)

-d  Enable debug mode. (*)

-q  Enable quiet mode.

-a socket
    Bind to a specific socket address. (*)

-r, --reuse
    Allow reusing an existing -a socket

-t time
    Limit key lifetime (not supported by Pageant). (*)

USAGE
The commands that ssh-pageant outputs are best used with the shell's "eval" command. For example, this configuration will automatically configure the agent for each bash session:

~/.bash_profile:
    if [ -z "$SSH_AUTH_SOCK" -a -x /usr/bin/ssh-pageant ]; then
      eval $(/usr/bin/ssh-pageant -q)
    fi
    trap logout HUP

~/.bash_logout:
    if [ -x /usr/bin/ssh-pageant -a ! -z "$SSH_PAGEANT_PID" ]; then
      eval $(/usr/bin/ssh-pageant -qk 2>/dev/null)
    fi

These commands will configure the agent for each fish session:

~/.config/fish/config.fish:
    eval (/usr/bin/ssh-pageant -rq -S fish -a "/tmp/.ssh-pageant-$USERNAME")

ENVIRONMENT VARIABLES

SHELL
    Determines the default style of shell commands. If it contains "csh", then -c will be used, otherwise -s is assumed.

SSH_AUTH_SOCK
    Holds the path to the agent's UNIX-domain socket.

SSH_PAGEANT_PID
    Holds the agent's process ID, used by -k to kill it.

ISSUES
Please report bugs or suggest enhancements via the issue tracker at <http://github.com/cuviper/ssh-pageant/issues>.

CAVEAT
Since pageant doesn't support time limits, invoking ssh-add with the -t option will result in a response of SSH_AGENT_FAILURE.

COPYRIGHT
Copyright (C) 2009-2014 Josh Stone
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
ssh-agent(1)